function ControllerServiceSetting()
{
  this.SaveDeviceDri = function(Result){ControllerServiceSetting.prototype._SaveDeviceDri_(Result);};
  this.SaveServiceXml = function(Result){ControllerServiceSetting.prototype._SaveServiceXml_(Result);};
  var SaveXml = function(that){ControllerServiceSetting.prototype._SaveXml_(that);};
  var RunRuntime = function(that){ControllerServiceSetting.prototype._RunRuntime_(that);};
  var SwitchRadioStop = function(that){ControllerServiceSetting.prototype._SwitchRadioStop_(that);};
  var SwitchRadioStart = function(that){ControllerServiceSetting.prototype._SwitchRadioStart_(that);};

  //runtime
  var IsUsedStatus = function(){ControllerServiceSetting.prototype._IsUsedStatus_();};
  var GetMainSystemStatus = function(){ControllerServiceSetting.prototype._GetMainSystemStatus_();};
  var StartMainSystem    = function(that){ControllerServiceSetting.prototype._StartMainSystem_(that);};
  var StopMainSystem     = function(that){ControllerServiceSetting.prototype._StopMainSystem_(that);};
  var GetMainSystemWDTStatus = function(){ControllerServiceSetting.prototype._GetMainSystemWDTStatus_();};

  this.SwitchMainSystem   = function(that){ControllerServiceSetting.prototype._SwitchMainSystem_(that);};
  this.SwitchWDT   = function(that){ControllerServiceSetting.prototype._SwitchWDT_(that);};
  //MQTT Broker
  var GetMqttBrokerStatus = function(){ControllerServiceSetting.prototype._GetMqttBrokerStatus_();};
  var StartMqttBroker    = function(that){ControllerServiceSetting.prototype._StartMqttBroker_(that);};
  var StopMqttBroker     = function(that){ControllerServiceSetting.prototype._StopMqttBroker_(that);};
  this.SwitchMqttBroker  = function(that){ControllerServiceSetting.prototype._SwitchMqttBroker_(that);};
  //DDNS
  var GetDdnsStatus = function(){ControllerServiceSetting.prototype._GetDdnsStatus_();};
  this.StartDdns    = function(that){ControllerServiceSetting.prototype._StartDdns_(that);};
  this.StopDdns     = function(that){ControllerServiceSetting.prototype._StopDdns_(that);};
  this.SwitchDdns   = function(that){ControllerServiceSetting.prototype._SwitchDdns_(that);};
  //顯示
  this.ShowUi       = function(){ControllerServiceSetting.prototype._ShowUi_();};
}